flags.c File Reference

Testing the nfft. More...

`#include "config.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for flags.c:

Go to the source code of this file.

## Functions

static void | flags_cp (NFFT(plan)*dst, NFFT(plan)*src)
static void | time_accuracy (int d, int N, int M, int n, int m, unsigned test_ndft, unsigned test_pre_full_psi)
static void | accuracy_pre_lin_psi (int d, int N, int M, int n, int m, int K)
int | main (int argc, char **argv)

## Variables

unsigned | test_fg =0
unsigned | test_fftw =0
unsigned | test =0

## Detailed Description

Testing the nfft.

Author
  Stefan Kunis

References: Time and Memory Requirements of the Nonequispaced FFT

Definition in file flags.c.